import request from '@/utils/request'

// 查询特种设备参数信息列表
export function listSpecialDeviceParam(query) {
  return request({
    url: '/dms/specialDeviceParam/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备参数信息详细
export function getSpecialDeviceParam(specialdeviceParamId) {
  return request({
    url: '/dms/specialDeviceParam/' + specialdeviceParamId,
    method: 'get'
  })
}

// 新增特种设备参数信息
export function addSpecialDeviceParam(data) {
  return request({
    url: '/dms/specialDeviceParam',
    method: 'post',
    data: data
  })
}

// 修改特种设备参数信息
export function updateSpecialDeviceParam(data) {
  return request({
    url: '/dms/specialDeviceParam',
    method: 'put',
    data: data
  })
}

// 删除特种设备参数信息
export function delSpecialDeviceParam(specialdeviceParamId) {
  return request({
    url: '/dms/specialDeviceParam/' + specialdeviceParamId,
    method: 'delete'
  })
}
